/* TOP NAV */
#top-nav ul {
    margin: 0;
    border: 0 none;
    padding: 0;
    display: inline-block;
    list-style: none;
    position: relative;
}

#top-nav ul.social {
    padding-left: 10px;
    border-left: 1px solid #ccc;
    top: 6px;
    position: relative;
}

#top-nav ul.social a {
    padding: 0px 0px;
}

#top-nav .fa-facebook-square {
    color: #3B5998;
}

#top-nav .fa-twitter-square {
    color: #02B1EE;
}

#top-nav .fa-linkedin-square {
    color: #017CB7;
}

#top-nav .fa-youtube-square {
    color: #CC171E;
}

#top-nav a {
    text-decoration: none;
    padding: 0px 5px;
}

#top-nav li:hover a {
    text-decoration: underline;
}

#top-nav li {
    margin: 0;
    border: 0 none;
    padding: 0;
    display: inline-block;
    list-style: none;
    position: relative
}

/* NAV 2 */
#nav2 span {
    float: left;
    display: block;
    width: auto;
}

#nav2 ul#navmenu {
    margin: 0;
    border: 0 none;
    padding: 0;
    text-align: center;
    clear: both;
    list-style: none;
    z-index: 1000;
}

#nav2 ul#navmenu li {
    margin: 0;
    border: 0 none;
    padding: 0;
    display: block;
    float: left;
    list-style: none;
    position: relative;
}

#nav2 ul#navmenu ul {
    margin: 0;
    border: 0 none;
    padding: 0;
    list-style: none;
    display: none;
    position: absolute;
    left: 0;
}

#nav2 ul#navmenu a {
    padding: 0px 8px;
    display: block;
    color: #fff;
    text-align: left;
    font-style: italic;
    text-decoration: none;
    height: auto !important;
    border: 0;
}

#nav2 ul#navmenu a:hover {
    color: #B8D1C5;
}

#nav2 .happy-halloween a {
    background: #FE2E2E;
    border-radius: 5px;
    color: #000 !important;
}

#nav2 li.holiday-greetings a {
    color: #fff !important;
}

/* MAIN NAV */
#nav {
    padding: .5rem 0;
    display: none;
}

@media only screen and (min-width: 48rem) {
    #nav {
        display: block;
    }
}

#nav ul#navmenu {
    margin: 0;
    border: 0 none;
    padding: 0;
    text-align: center;
    clear: both;
    list-style: none;
    z-index: 1000;
    display: flex;
    align-items: center;
    gap: .5rem;
}

#nav ul#navmenu li {
    margin: 0;
    border: 0 none;
    padding: 0;
    display: block;
    float: left;
    list-style: none;
    position: relative;
}

#nav ul#navmenu ul {
    margin: 0;
    border: 0 none;
    padding: 0;
    list-style: none;
    display: none;
    background: #333;
    position: absolute;
    top: 38px;
    left: 0;
}

/* Hide Levels 3 & 4 */
#nav ul#navmenu ul ul {
    display: none;
    visibility: hidden;
}

#nav ul#navmenu ul li {
    width: 202px;
}

/* Root Menu */
#nav ul#navmenu a {
    display: block;
    color: #fff;
    text-align: left;
    text-decoration: none;
    border-radius: 5px;
    font-size: 70%;
}

@media only screen and (min-width: 56rem) {
    #nav ul#navmenu a {
        font-size: inherit;
    }
}

/* Root Menu Hover Persistence */
#nav ul#navmenu a:hover, #nav ul#navmenu li:hover a {
    color: #FF9D22;
}

/* Selected */
#nav ul#navmenu li a.selected {
    background: #FF9D22;
    color: #094664;
    padding: .25rem 1rem;
}

/* 2nd Menu */
#nav ul#navmenu li:hover li a {
    float: none;
    text-transform: capitalize;
    padding-left: 10px;
    border: 0 !important;
    color: #fff;
    display: none;
}

#nav ul#navmenu li li {
    border: 0 !important;
}

/* 2nd Menu Hover Persistence */
#nav ul#navmenu li:hover li a:hover, #nav ul#navmenu li:hover li:hover a {
}

/* 3rd Menu */
#nav ul#navmenu li:hover li:hover li a {
    display: none;
    visibility: hidden;
}

/* 3rd Menu Hover Persistence */
#nav ul#navmenu li:hover li:hover li a:hover, #nav ul#navmenu li:hover li:hover li:hover a {
    display: none;
    visibility: hidden;
}

/* 4th Menu */
#nav ul#navmenu li:hover li:hover li:hover li a {
    display: none;
    visibility: hidden;
}

/* 4th Menu Hover */
#nav ul#navmenu li:hover li:hover li:hover li a:hover {
    display: none;
    visibility: hidden;
}

#nav ul#navmenu ul ul, #nav ul#navmenu ul ul ul {
    display: none;
    position: absolute;
    top: 0;
    border: 0;
    left: 202px;
}

/* Do Not Move - Must Come Before display:block for Gecko */
#nav ul#navmenu li:hover ul ul, #nav ul#navmenu li:hover ul ul ul {
    display: none;
}

#nav ul#navmenu li:hover ul, #nav ul#navmenu ul li:hover ul, #nav ul#navmenu ul ul li:hover ul {
    display: block;
}

#nav ul#navmenu .connect {
    display: none;
}

#nav ul#navmenu .accident-claims {
    position: absolute;
    right: 10px;
}

#nav ul#navmenu .accident-claims a {
    font-weight: 600;
    font-style: italic;
    border: 2px solid #fff;
    padding: .25rem 2rem;
    border-radius: 5px;
}

#nav ul#navmenu .accident-claims a:hover {
    border-radius: 5px;
    color: #094664;
    background: #FF9D22;
}

/* SUB NAV */
#sub-nav {
    position: relative;
}

#sub-nav ul, #sub-nav li {
    margin: 0;
    border: 0 none;
    padding: 0;
    list-style: none;
}

#sub-nav a {
    text-decoration: none;
    display: block;
}

#sub-nav .l1 a {
    display: block;
    font-weight: bold;
    padding: 8px;
    color: #fff;
    background: #7D674F;
}

#sub-nav span {
    display: inline;
    list-style: none;
    position: relative;
}

#sub-nav .l2 a {
    display: block;
    padding: 8px;
    background-position: 10px center;
    color: #7D674F;
    background: #F2EFED;
}

#sub-nav .l2 a:hover, #sub-nav .l2 a.selected {
    background: #DFDAD5;
}

#sub-nav .l3 a, #sub-nav .l3 a:link, #sub-nav .l3 a:active, #sub-nav .l3 a:visited {
    display: block;
    padding: 8px;
    color: #7D674F;
    background: #F2EFED;
    padding-left: 30px;
}

#sub-nav .l3 a:hover, #sub-nav .l3 a.selected {
    background: #DFDAD5;
}

#sub-nav .l4 a, #sub-nav .l4 a:link, #sub-nav .l4 a:active, #sub-nav .l4 a:visited {
    display: none;
}

#sub-nav .l4 a:hover, #sub-nav .l4 .selected {
    display: none;
}

/* FOOTER NAV Basic, Level 1 only */
#footer-nav {
    margin-bottom: 20px;
}

#footer-nav ul#navmenu {
    margin: 0;
    padding: 0;
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 1rem;
}

@media only screen and (min-width: 40rem) {
    #footer-nav ul#navmenu {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media only screen and (min-width: 48rem) {
    #footer-nav ul#navmenu {
        grid-template-columns: repeat(5, 1fr);
    }
}

#footer-nav ul#navmenu ul ul {
    display: none;
}

#footer-nav ul#navmenu li,
#footer-nav ul#navmenu ul {
    margin: 0;
    padding: 0;
    float: none !important;
    list-style: none;
}


#footer-nav ul#navmenu .l1 a {
    font-weight: 600;
    border: 0;
}

#footer-nav ul#navmenu .connect, #footer-nav ul#navmenu .accident-claims {
    display: none;
}

#footer-nav ul#navmenu li a {
    margin: 0;
    padding: 0;
    float: none !important;
    list-style: none;
    color: #7C674F;
    border-top: 1px solid rgba(193, 183, 171, 0.38);
    line-height: 1.2;
    display: block;
    text-decoration: none;
    padding: 4px 0;
}

#footer-nav ul#navmenu li a:hover {
    color: rgba(193, 183, 171, 1);
}